# Examples

## Component Examples

We maintain several component libraries that you can use in your dashboards directly or as examples.

* [Active Directory](https://github.com/ironmansoftware/powershell-universal/blob/master/Components/ActiveDirectory/UniversalDashboard.ActiveDirectory.psm1)
* [Azure](https://github.com/ironmansoftware/powershell-universal/tree/master/Components/Azure)&#x20;
* [Hyper-V](https://github.com/ironmansoftware/powershell-universal/tree/master/Components/Hyper-V)&#x20;
* [Monitoring](https://github.com/ironmansoftware/powershell-universal/tree/master/Components/Monitoring)
* [Network](https://github.com/ironmansoftware/powershell-universal/tree/master/Components/Network)
* [SQL](https://github.com/ironmansoftware/powershell-universal/tree/master/Components/SQL)

## Single-File Configuration Examples

This page contains examples of PowerShell Universal configurations. All examples are built using single-file hosting and configuration. These examples assume that you have PowerShell Universal installed. To install PowerShell Universal, use the following command line.

```
Install-Module Universal
Install-PSUServer -AddToPath
```

You can login to PowerShell Universal using the username `admin` and any password.

{% hint style="info" %}
Have an example of an API, Dashboard or Script that you think would fit nicely on this page? Feel free to open a pull-request on our [documentation repository](https://github.com/ironmansoftware/universal-docs).
{% endhint %}

## Table of Contents

* Active Directory
  * [Reset Password](/v1/examples/active-directory.md#reset-password)
  * [List Locked Accounts](/v1/examples/active-directory.md#list-locked-accounts)
  * [Restore Deleted User](/v1/examples/active-directory.md#restore-deleted-user)
* Hyper-V
  * [Virtual Machine Creator](/v1/examples/hyper-v.md#virtual-machine-creator)
* Image Processing
  * [Convert JPEG to PNG](/v1/examples/image-processing.md#convert-jpeg-to-png)
  * [Convert JPEG to PNG API](/v1/examples/image-processing.md#convert-jpeg-to-png-api)
  * [Rate Limited API](/v1/examples/image-processing.md#rate-limited-conversion-api)
* Monitoring
  * [Windows Performance Counter Dashboard](/v1/examples/monitoring.md#windows-performance-counter-charts)
* Slack
  * [Send a Message to Slack](/v1/examples/slack.md#send-message-to-slack)
  * [Send a Message to Slack when a Script Fails](/v1/examples/slack.md#send-slack-message-on-failed-job)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v1/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
